> ## Documentation Index
> Fetch the complete documentation index at: https://docs.terminaluse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent by Name

> Get an agent by namespace slug and agent name.



## OpenAPI

````yaml openapi.json GET /agents/name/{namespace_slug}/{agent_name}
openapi: 3.1.0
info:
  title: Sb0 API
  version: 0.1.0
servers: []
security: []
paths:
  /agents/name/{namespace_slug}/{agent_name}:
    get:
      tags:
        - Agents
      summary: Get Agent by Name
      description: Get an agent by namespace slug and agent name.
      operationId: agents_retrieve_by_name
      parameters:
        - in: path
          name: namespace_slug
          required: true
          schema:
            title: Namespace Slug
            type: string
        - in: path
          name: agent_name
          required: true
          schema:
            title: Agent Name
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Agent'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    Agent:
      properties:
        agent_input_type:
          anyOf:
            - $ref: '#/components/schemas/AgentInputType'
            - type: 'null'
          description: The type of input the agent expects.
        created_at:
          description: The timestamp when the agent was created
          format: date-time
          title: Created At
          type: string
        description:
          description: The description of the action.
          title: Description
          type: string
        id:
          description: The unique identifier of the agent.
          title: Id
          type: string
        name:
          description: The agent name (unique within namespace).
          title: Name
          type: string
        namespace_id:
          description: The namespace ID this agent belongs to.
          title: Namespace Id
          type: string
        registered_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: The timestamp when the agent was last registered
          title: Registered At
        registration_metadata:
          additionalProperties: true
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          description: The metadata for the agent's registration.
          title: Registration Metadata
        status:
          $ref: '#/components/schemas/AgentStatus'
          default: ACTIVE
          description: >-
            Agent status. Runtime statuses (Ready/Failed/Unhealthy) now live on
            Deployment.
        status_reason:
          anyOf:
            - type: string
            - type: 'null'
          description: The reason for the status of the action.
          title: Status Reason
        updated_at:
          description: The timestamp when the agent was last updated
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - namespace_id
        - name
        - description
        - created_at
        - updated_at
      title: Agent
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    AgentInputType:
      enum:
        - text
        - json
      title: AgentInputType
      type: string
    AgentStatus:
      description: >-
        Agent status - runtime statuses (Ready/Failed/Unhealthy) now live on
        Deployment.
      enum:
        - ACTIVE
        - DELETED
      title: AgentStatus
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````